Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.exhaustivesearch.decider
Class ExhaustiveSearchDecider

    java.lang.Object
      org.optaplanner.core.impl.exhaustivesearch.decider.ExhaustiveSearchDecider

All Implemented Interfaces:
  EventListener, ExhaustiveSearchPhaseLifecycleListener, SolverLifecycleListener

    public class ExhaustiveSearchDecider

extends Object
implements ExhaustiveSearchPhaseLifecycleListener

Field Summary
`protected boolean` | `assertExpectedUndoMoveScore`
`protected boolean` | `assertMoveScoreFromScratch`
`protected BestSolutionRecaller` | `bestSolutionRecaller`
`protected org.slf4j.Logger` | `logger`
`protected ManualEntityMimicRecorder` | `manualEntityMimicRecorder`
`protected MoveSelector` | `moveSelector`
`protected ScoreBounder` | `scoreBounder`
`protected boolean` | `scoreBounderEnabled`
`protected Termination` | `termination`

Constructor Summary
`ExhaustiveSearchDecider(BestSolutionRecaller bestSolutionRecaller, Termination termination, ManualEntityMimicRecorder manualEntityMimicRecorder, MoveSelector moveSelector, boolean scoreBounderEnabled, ScoreBounder scoreBounder)`

Method Summary
`void` | `expandNode(ExhaustiveSearchStepScope stepScope)`
`ManualEntityMimicRecorder` | `getManualEntityMimicRecorder()`
`MoveSelector` | `getMoveSelector()`
`ScoreBounder` | `getScoreBounder()`
`boolean` | `isScoreBounderEnabled()`
`void` | `phaseEnded(ExhaustiveSearchPhaseScope phaseScope)`
`void` | `phaseStarted(ExhaustiveSearchPhaseScope phaseScope)`
`void` | `setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)`
`void` | `setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ExhaustiveSearchStepScope stepScope)`
`void` | `stepStarted(ExhaustiveSearchStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### bestSolutionRecaller

    protected final BestSolutionRecaller bestSolutionRecaller

### termination

    protected final Termination termination

### manualEntityMimicRecorder

    protected final ManualEntityMimicRecorder manualEntityMimicRecorder

### moveSelector

    protected final MoveSelector moveSelector

### scoreBounderEnabled

    protected final boolean scoreBounderEnabled

### scoreBounder

    protected final ScoreBounder scoreBounder

### assertMoveScoreFromScratch

    protected boolean assertMoveScoreFromScratch

### assertExpectedUndoMoveScore

    protected boolean assertExpectedUndoMoveScore

Constructor Detail

### ExhaustiveSearchDecider

    public ExhaustiveSearchDecider(BestSolutionRecaller bestSolutionRecaller,
                                   Termination termination,
                                   ManualEntityMimicRecorder manualEntityMimicRecorder,
                                   MoveSelector moveSelector,
                                   boolean scoreBounderEnabled,
                                   ScoreBounder scoreBounder)

Method Detail

### getManualEntityMimicRecorder

    public ManualEntityMimicRecorder getManualEntityMimicRecorder()

### getMoveSelector

    public MoveSelector getMoveSelector()

### isScoreBounderEnabled

    public boolean isScoreBounderEnabled()

### getScoreBounder

    public ScoreBounder getScoreBounder()

### setAssertMoveScoreFromScratch

    public void setAssertMoveScoreFromScratch(boolean assertMoveScoreFromScratch)

### setAssertExpectedUndoMoveScore

    public void setAssertExpectedUndoMoveScore(boolean assertExpectedUndoMoveScore)

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`

### phaseStarted

    public void phaseStarted(ExhaustiveSearchPhaseScope phaseScope)

  Specified by:
    `phaseStarted` in interface `ExhaustiveSearchPhaseLifecycleListener`

### stepStarted

    public void stepStarted(ExhaustiveSearchStepScope stepScope)

  Specified by:
    `stepStarted` in interface `ExhaustiveSearchPhaseLifecycleListener`

### stepEnded

    public void stepEnded(ExhaustiveSearchStepScope stepScope)

  Specified by:
    `stepEnded` in interface `ExhaustiveSearchPhaseLifecycleListener`

### phaseEnded

    public void phaseEnded(ExhaustiveSearchPhaseScope phaseScope)

  Specified by:
    `phaseEnded` in interface `ExhaustiveSearchPhaseLifecycleListener`

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`

### expandNode

    public void expandNode(ExhaustiveSearchStepScope stepScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.